﻿using Hotline.Share.Dtos.Knowledge;

namespace Hotline.KnowledgeBase
{
    public interface IKnowledgeTypeService
    {
        /// <summary>
        /// 查询所有子级
        /// </summary>
        /// <param name="treeDatas"></param>
        /// <param name="ID"></param>
        /// <param name="checkId"></param>
        /// <returns></returns>
        List<TreeListDto> GetChildren(List<KnowledgeType> treeDatas, string ID, string checkId);

        /// <summary>
        /// 获取全称
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<string> GetFullName(string Id);

        /// <summary>
        /// 修改子级分类全称
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task UpdateChildNode(string Id);
    }
}
